#!/usr/bin/python

"""
Test the inspircd charm.

Usage:
    juju bootstrap -v --upload-tools
    TEST_TIMEOUT=900 ./test.py -v
    juju destroy-environment
"""

import os.path
import socket
import subprocess
import time
import unittest

import fixtures
import testtools
from testtools.content import text_content

from testing.jujufixture import JujuFixture, run


SERIES = 'trusty'
TEST_CHARM = 'local:inspircd'

# FIXME test case goes here
 
def unit_sorted(units):
    """Return a correctly sorted list of unit names."""
    return sorted(
        units, lambda a, b: cmp(int(a.split('/')[-1]), int(b.split('/')[-1])))


if __name__ == '__main__':
    raise SystemExit(unittest.main())
